#pragma once

#include "CoreMinimal.h"
#include "OnGameEventActionInterface.h"
#include "CompetenceAction.h"
#include "EndStatusEffectAction.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UEndStatusEffectAction : public UCompetenceAction, public IOnGameEventActionInterface
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _resetActivationTimerOnEnd;

public:
	UEndStatusEffectAction();
};

FORCEINLINE uint32 GetTypeHash(const UEndStatusEffectAction) { return 0; }
